import { FC } from "react";
import { LoginWidget } from "./components/login";
import { CharacterRoulette } from "./components/characters";
import { Inventory } from "./components/inventory";

export const App: FC = () => {
  return (
    <>
      <div className="flex flex-col p-4 h-full">
        <div className="grid grid-cols-6 gap-x-4">
          <div className="col-span-1">
              <LoginWidget/>
          </div>
          <div className="col-span-5 h-full">
            <CharacterRoulette/>
          </div>
        </div>
        <div className="grid grid-cols-6 h-full">
          <div className="col-span-1">
          </div>
          <div className="col-span-5 h-full">
            <div className="overflow-hidden h-5/6">
              <Inventory/>
            </div>
          </div>
        </div>
      </div>
    </>
  );
};
