import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import react from '@vitejs/plugin-react'


export default defineConfig({
  plugins: [react()],
  server: {
    proxy: {
      // with options
      '/lifeto': {
        target: "https://beta.lifeto.co/",
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/lifeto/, ''),
      },
    }
  }
})

// https://vitejs.dev/config/
//export default defineConfig({
//  plugins: [vue()],
//  server: {
//    proxy: {
//      // with options
//      '/lifeto': {
//        target: "https://beta.lifeto.co/",
//        changeOrigin: true,
//        rewrite: (path) => path.replace(/^\/lifeto/, ''),
//      },
//    }
//  }
//})
